# Module os::mm::page_table

source · [−]
Expand description

Implementation of `PageTableEntry` and `PageTable`.

## Structs

PTEFlags
PageTable
PageTableEntry

page table entry structure

## Functions

translated_byte_buffer

translate a pointer to a mutable u8 Vec through page table

translated_refmut

translate a generic through page table and return a mutable reference

translated_str

translate a pointer to a mutable u8 Vec end with `\0` through page table to a `String`